# colors: https://www.webucator.com/article/python-color-constants-module/

Gui:
  language: "en"
  use_player_cook_sprites: True
  show_interaction_range: False
  show_counter_centers: False

GameWindow:
  screen_margin: 100
  min_width: 900
  min_height: 600
  buttons_width: 180
  buttons_height: 60
  FPS: 60

  order_bar_height: 100
  order_size: 50

  game_border_size: 1
  game_border_color: black
  background_color: lemonchiffon1

Kitchen:
  ground_tiles_color: sgigray76
  background_lines: gray79

Counter:
  parts:
    #    - type: rect
    #      height: 1
    #      width: 1
    #      color: whitesmoke
    - type: image
      path: images/counter5.png
      size: 1

CuttingBoard:
  parts:
    - type: image
      path: images/cutting_board_large.png
      size: 0.75
      center_offset: [ 0, -0.05 ]


PlateDispenser:
  parts: [ ]
#    - type: rect
#      height: 0.95
#      width: 0.95
#      color: cadetblue1

Trashcan:
  parts:
    - type: image
      path: images/trash6.png
      size: 0.88

#TomatoDispenser:
#  parts:
#    - color: orangered1
#      type: rect
#      height: 0.8
#      width: 0.8
#
#LettuceDispenser:
#  parts:
#    - color: palegreen3
#      type: rect
#      height: 0.8
#      width: 0.8
#
#OnionDispenser:
#  parts:
#    - color: deeppink3
#      type: rect
#      height: 0.8
#      width: 0.8
#
#MeatDispenser:
#  parts:
#    - color: indianred1
#      type: rect
#      height: 0.8
#      width: 0.8
#
#BunDispenser:
#  parts:
#    - color: sandybrown
#      type: rect
#      height: 0.8
#      width: 0.8

Dispenser:
  parts:
    - type: circle
      color: black
      radius: 0.35
      center_offset: [ 0, -0.05 ]
    - type: circle
      color: gray83
      radius: 0.33
      center_offset: [ 0, -0.05 ]


  item_offset: [ 0, -0.05 ]
  item_scale: 0.9

ServingWindow:
  parts:
    - type: image
      path: images/star.png
      size: 0.8
      center_offset: [ 0, -0.02 ]
      rotate_image: False
    - type: image
      path: images/bell_gold.png
      size: 0.5
      center_offset: [ -0.2, -0.05 ]
      rotate_image: False

Stove:
  parts:
    - type: image
      path: images/stove3.png
      size: 0.8
      center_offset: [ 0, -0.05 ]

Sink:
  parts:
    - type: image
      path: images/sink1.png
      size: 0.85
      center_offset: [ 0, -0.12 ]

SinkAddon:
  parts:
    - type: image
      path: images/drip2.png
      size: 0.75
      center_offset: [ 0, -0.05 ]

# Tools
Extinguisher:
  parts:
    - type: image
      path: images/fire_extinguisher.png
      size: 0.85
      center_offset: [ 0, -0.05 ]

# Effects
Fire:
  parts:
    - type: image
      path: images/fire.png
      size: 1

Fire1:
  parts:
    - type: image
      path: images/fire.png
      size: 1.0

Fire2:
  parts:
    - type: image
      path: images/fire2.png
      size: 1.0

Fire3:
  parts:
    - type: image
      path: images/fire3.png
      size: 1.0


# Items
Tomato:
  parts:
    - type: image
      path: images/tomato.png
      size: 0.8

Onion:
  parts:
    - type: image
      path: images/onion.png
      size: 0.8

Bun:
  parts:
    - type: image
      path: images/bun.png
      size: 0.9

Lettuce:
  parts:
    - type: image
      path: images/lettuce.png
      size: 0.9

Meat:
  parts:
    - type: image
      path: images/meat.png
      size: 1

ChoppedLettuce:
  parts:
    - type: image
      path: images/lettuce_cut4.png
      size: 0.95

ChoppedTomato:
  parts:
    - type: image
      path: images/tomato_cut.png
      size: 0.9

ChoppedOnion:
  parts:
    - type: image
      path: images/onion_cut.png
      size: 0.95

RawPatty:
  parts:
    - type: image
      path: images/raw_patty.png
      size: 0.9

CookedPatty:
  parts:
    - type: image
      path: images/cooked_patty.png
      size: 0.9

Burger:
  parts:
    - type: image
      path: images/burger.png
      size: 0.9

Salad:
  parts:
    - type: image
      path: images/salad.png
      size: 0.8

TomatoSoup:
  parts:
    - type: image
      path: images/tomato_soup_pot.png
      size: 1.05
      center_offset: [ -0.02, -0.1 ]

TomatoSoupPlate:
  parts:
    - type: image
      path: images/tomato_soup_plate.png
      size: 0.6

OnionSoup:
  parts:
    - type: image
      path: images/onion_soup_pot.png
      size: 1.05
      center_offset: [ -0.02, -0.1 ]

OnionSoupPlate:
  parts:
    - type: image
      path: images/onion_soup_plate.png
      size: 0.6

Cook:
  parts:
    - type: image
      path: images/pixel_cook_masked.png
      size: 1

Plate:
  parts:
    - type: image
      path: images/plate_clean.png
      size: 0.8

DirtyPlate:
  parts:
    - type: image
      path: images/plate_dirty.png
      size: 0.8

Pot:
  parts:
    - type: image
      path: images/pot_smaller.png
      size: 1.05
      center_offset: [ -0.02, -0.1 ]

Pan:
  parts:
    - type: image
      path: images/pan.png
      size: 1.1

DeepFryer:
  parts:
    - type: image
      path: images/deepfryer1.png
      size: 0.8

Oven:
  parts:
    - type: image
      path: images/pizza_oven.png
      size: 1

Basket:
  parts:
    - type: image
      path: images/basket1.png
      size: 0.8

Peel:
  parts:
    - type: image
      path: images/pizza_wood.png
      size: 1.2
      center_offset: [ 0, 0.2 ]

Potato:
  parts:
    - type: image
      path: images/potato2.png
      size: 0.7

RawChips:
  parts:
    - type: image
      path: images/raw_fries.png
      size: 0.8

Chips:
  parts:
    - type: image
      path: images/fries2.png
      size: 0.8

Fish:
  parts:
    - type: image
      path: images/fish3.png
      size: 0.9

ChoppedFish:
  parts:
    - type: image
      path: images/cut_fish.png
      size: 0.8

FriedFish:
  parts:
    - type: image
      path: images/fried_fish.png
      size: 0.8

FishAndChips:
  parts:
    - type: image
      path: images/fries2.png
      size: 0.8
      center_offset: [ -0.1, 0 ]
    - type: image
      path: images/fried_fish.png
      size: 0.8
      center_offset: [ +0.2, 0 ]

Dough:
  parts:
    - type: image
      path: images/pizza_dough.png
      size: 0.7

PizzaBase:
  parts:
    - type: image
      path: images/pizza_base.png
      size: 0.9

Sausage:
  parts:
    - type: image
      path: images/sausage.png
      size: 0.8

ChoppedSausage:
  parts:
    - type: image
      path: images/sausage_chopped.png
      size: 0.8

Cheese:
  parts:
    - type: image
      path: images/cheese3.png
      size: 0.7

GratedCheese:
  parts:
    - type: image
      path: images/grated_cheese.png
      size: 1.1

Pizza:
  parts:
    - type: image
      path: images/pizza.png
      size: 0.9